Bug 51173 - stat reports EXT3 as EXT2
stat reports EXT3 as EXT2
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: stat (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-07 20:48 EDT by Derek Tattersall
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-07 20:49:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek Tattersall 2001-08-07 20:48:56 EDT
Description of Problem:
stat reports EXT3 file systems as EXT2 and
stat's usage message does not show the -t -v options

How Reproducible:
Always

Steps to Reproduce:
1. stat -f /bin/vi
2. stat -?
3. 

Actual Results:
stat reports the filesystem that /bin/vi is on as EXT2 when mount shows it
as EXT3

Expected Results:
Should report filesystem as EXT3

Additional Information:
The usage messsage is slightly b0rked; it should reflect the man 
page.
Comment 1 Ngo Than 2001-08-08 09:04:12 EDT
It's fixed in stat-2.5-2. You will find it in next rawhide release.

Note You need to log in before you can comment on or make changes to this bug.